# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define orig_version 1.0
%define orig_release 0
%define orig_hash_tb g702a2d5
%define orig_hash_dir c680db1
%define version %{orig_version}.%{orig_release}

%define pixmap_dir %{_datadir}/pixmaps

Name:           gottengeography
Version:        %{version}
Release:        1.%{orig_hash_tb}%{?dist}
Summary:        High quality and easy to use photo geotagging application

License:        GPLv3+
Group:		Applications/Multimedia
URL:            https://github.com/robru/gottengeography/wiki
Source0:        robru-%{name}-release-%{orig_version}-%{orig_release}-%{orig_hash_tb}.tar.gz
Source1:	%{name}.png

Requires:	pyexiv2
Requires:	pygobject3


BuildArch:      noarch
BuildRequires:	libchamplain-gtk
BuildRequires:	pyexiv2
BuildRequires:	pygobject3


%description
GottenGeography is a geotagging application written for the GNOME desktop.
It stores geographical information directly into your photos' EXIF data, so
you never forget where your photos were taken.

%prep
%setup -q -n robru-%{name}-%{orig_hash_dir}


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT%{pixmap_dir}
%{__install} -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{pixmap_dir}

%find_lang %{name} --all-name

 
%files -f %{name}.lang
%defattr(-,root,root)
%doc README.md gg/AUTHORS gg/COPYING
# For noarch packages: sitelib
%{python_sitelib}/*
%{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{pixmap_dir}/%{name}.png


%changelog
* Mon Mar  5 2012 Peter Hanecak <hany@hany.sk> 1.0.0-1.g702a2d5
- initial spec
